/*
 * KernelConf - A Linux Kernel Configuration System
 *
 * Distributed under GNU General Public Lisence
 *
 * Copyright (C) 2002 by Anuradha Ratnaweera
 */

#ifndef _KCONF_READSYMBOLS_H
#define _KCONF_READSYMBOLS_H

typedef enum {
    TAG_NULL,
    TAG_EOF,
    TAG_BLANK,
    TAG_INCLUDE,
    TAG_SYMBOL,
    TAG_TYPE,
    TAG_VALUE,
    TAG_DEFAULT,
    TAG_DESC,
    TAG_DEPENDS,
    TAG_DERIVED,
    TAG_DESC_LINE,
    TAG_MENU_ITEM,
    TAG_MENU_CAPTION,
    TAG_MENU_PARENT,
    TAG_MENU_DEPENDS
} Tag;

#define MAX_LINE_SIZE	2047

int read_symbols(char*);

#endif /* _KCONF_READSYMBOLS_H */
